SuSE 10 Security Update : strongswan (ZYPP Patch Number 8138)

High Nessus Plugin ID 59355


The remote SuSE 10 host is missing a security-related patch.


This update fixed a security issue in strongswan's 'gmp' plugin which could be exploited by attackers to forge RSA signature/certificate to authenticate as any legitimate user. (CVE-2012-2388)


Apply ZYPP patch number 8138.

See Also

Plugin Details

Severity: High

ID: 59355

File Name: suse_strongswan-8138.nasl

Version: $Revision: 1.2 $

Type: local

Agent: unix

Published: 2012/06/04

Modified: 2012/06/29

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Vulnerability Information

CPE: cpe:/o:suse:suse_linux

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Patch Publication Date: 2012/05/23

Reference Information

CVE: CVE-2012-2388